layui.use(['jquery', 'laytpl', 'table', 'form', 'miniTab','laydate'], function () {
    let $ = layui.jquery,
        form = layui.form,
        table = layui.table,
        layer = layui.layer,
        laydate = layui.laydate,
        miniTab = layui.miniTab;

    miniTab.listen();

    let column = [
        {templet: function (d) {
                return d.nickname;
            }, align: 'center', title: '客户昵称'},
        {templet: function (d) {
                return d.real_name ? d.real_name : '';
            }, align: 'center', title: '客户姓名'},
        {templet: function (d) {
                return d.mobile;
            }, align: 'center', title: '联系电话'},
        // {templet: function (d) {
        //         return (d.num>0) ? (d.name+"+"+d.num) : (d.name + d.num);
        //     }, align: 'center', title: '孔雀币记录'},
        {field: 'name', align: 'center', title: '操作'},
        {field: 'num', align: 'center', title: '变更额度'},
        {field: 'surplus', align: 'center', title: '剩余佣金'},
        {align: 'center', title: '操作人', templet: function (d) {
                return d.operator_id > 0 ? d.operator : '本人'
            }},
        {field: 'created_at', align: 'center', title: '变更日期'},
    ];

    // 渲染表格
    let listUrl = $('#table-container').data('url');
    let insTb = table.render({
        elem: '#table-container',
        toolbar: "null",
        defaultToolbar: ['filter', 'exports'],
        url: listUrl,
        method: 'post',
        limits: [10, 20, 50, 100, 200, 500, 1000],
        request: {
            pageName: 'page',
            limitName: 'size',
        },
        skin: 'line',
        parseData: function (res) {
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.data.total, //解析数据长度
                "data": res.data.list //解析数据列表
            };
        },
        page: true,
        cols: [column],
        done: function () {
        }
    });

    laydate.render({
        elem: '#publish-date',
    });

});